Iot Connector Fhir Destination - Create Or Update

Erstellt oder aktualisiert eine IoT Connector FHIR-Zielressource mit den angegebenen Parametern.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HealthcareApis/workspaces/{workspaceName}/iotconnectors/{iotConnectorName}/fhirdestinations/{fhirDestinationName}?api-version=2022-06-01

URI-Parameter

Name In Erforderlich Typ Beschreibung
fhirDestinationName
path True

string

minLength: 3
maxLength: 24

Der Name der IoT Connector FHIR-Zielressource.

iotConnectorName
path True

string

minLength: 3
maxLength: 24

Der Name der IoT Connector-Ressource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90
pattern: ^[-\w\._\(\)]+$

Der Name der Ressourcengruppe, die die Dienstinstanz enthält.

subscriptionId
path True

string

Der Abonnementbezeichner.

workspaceName
path True

string

minLength: 3
maxLength: 24

Der Name der Arbeitsbereichsressource.

api-version
query True

string

Client-API-Version.

Anforderungstext

Name Erforderlich Typ Beschreibung
properties.fhirMapping True

IotMappingProperties

FHIR-Zuordnungen

properties.fhirServiceResourceId True

string

Vollqualifizierte Ressourcen-ID des FHIR-Diensts, mit dem eine Verbindung hergestellt werden soll.

properties.resourceIdentityResolutionType True

IotIdentityResolutionType

Bestimmt, wie die Ressourcenidentität am Ziel aufgelöst wird.

etag

string

Ein Etag, das der Ressource zugeordnet ist, wird bei der Bearbeitung für optimistische Parallelität verwendet.

location

string

Der Ressourcenspeicherort.

Antworten

Name Typ Beschreibung
200 OK

IotFhirDestination

Aktualisiert – Angenommene Anforderung, und eine vorhandene Ressource wird aktualisiert.

201 Created

IotFhirDestination

Created – Put request accepted and an existing resource is being created asynchron.

202 Accepted

IotFhirDestination

Akzeptiert – Angenommene Anforderung, und eine vorhandene Ressource wird asynchron aktualisiert.

Other Status Codes

ErrorDetails

Fehlerantwort, die beschreibt, warum der Vorgang fehlgeschlagen ist.

Sicherheit

azure_auth

Azure Active Directory OAuth2-Fluss

Typ: oauth2
Ablauf: implicit
Autorisierungs-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiche

Name Beschreibung
user_impersonation Identitätswechsel ihres Benutzerkontos

Beispiele

Create or update an Iot Connector FHIR destination

Beispielanforderung

PUT https://management.azure.com/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue/fhirdestinations/dest1?api-version=2022-06-01

{
  "location": "westus",
  "properties": {
    "resourceIdentityResolutionType": "Create",
    "fhirServiceResourceId": "subscriptions/11111111-2222-3333-4444-555566667777/resourceGroups/myrg/providers/Microsoft.HealthcareApis/workspaces/myworkspace/fhirservices/myfhirservice",
    "fhirMapping": {
      "content": {
        "templateType": "CollectionFhirTemplate",
        "template": [
          {
            "templateType": "CodeValueFhir",
            "template": {
              "codes": [
                {
                  "code": "8867-4",
                  "system": "http://loinc.org",
                  "display": "Heart rate"
                }
              ],
              "periodInterval": 60,
              "typeName": "heartrate",
              "value": {
                "defaultPeriod": 5000,
                "unit": "count/min",
                "valueName": "hr",
                "valueType": "SampledData"
              }
            }
          }
        ]
      }
    }
  }
}

Beispiel für eine Antwort

{
  "name": "dest1",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue/fhirdestinations/dest1",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors/fhirdestinations",
  "location": "West US 2",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "properties": {
    "provisioningState": "Succeeded",
    "resourceIdentityResolutionType": "Create",
    "fhirServiceResourceId": "subscriptions/11111111-2222-3333-4444-555566667777/resourceGroups/myrg/providers/Microsoft.HealthcareApis/workspaces/myworkspace/fhirservices/myfhirservice",
    "fhirMapping": {
      "content": {
        "templateType": "CollectionFhirTemplate",
        "template": [
          {
            "templateType": "CodeValueFhir",
            "template": {
              "codes": [
                {
                  "code": "8867-4",
                  "system": "http://loinc.org",
                  "display": "Heart rate"
                }
              ],
              "periodInterval": 60,
              "typeName": "heartrate",
              "value": {
                "defaultPeriod": 5000,
                "unit": "count/min",
                "valueName": "hr",
                "valueType": "SampledData"
              }
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}
{
  "name": "dest1",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue/fhirdestinations/dest1",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors/fhirdestinations",
  "location": "West US 2",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "properties": {
    "provisioningState": "Creating",
    "resourceIdentityResolutionType": "Create",
    "fhirServiceResourceId": "subscriptions/11111111-2222-3333-4444-555566667777/resourceGroups/myrg/providers/Microsoft.HealthcareApis/workspaces/myworkspace/fhirservices/myfhirservice",
    "fhirMapping": {
      "content": {
        "templateType": "CollectionFhirTemplate",
        "template": [
          {
            "templateType": "CodeValueFhir",
            "template": {
              "codes": [
                {
                  "code": "8867-4",
                  "system": "http://loinc.org",
                  "display": "Heart rate"
                }
              ],
              "periodInterval": 60,
              "typeName": "heartrate",
              "value": {
                "defaultPeriod": 5000,
                "unit": "count/min",
                "valueName": "hr",
                "valueType": "SampledData"
              }
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}
{
  "name": "dest1",
  "id": "/subscriptions/subid/resourceGroups/testRG/providers/Microsoft.HealthcareApis/workspaces/workspace1/iotconnectors/blue/fhirdestinations/dest1",
  "type": "Microsoft.HealthcareApis/workspaces/iotconnectors/fhirdestinations",
  "location": "West US 2",
  "etag": "00000000-0000-0000-f5ac-912ca49e01d6",
  "properties": {
    "provisioningState": "Accepted",
    "resourceIdentityResolutionType": "Create",
    "fhirServiceResourceId": "subscriptions/11111111-2222-3333-4444-555566667777/resourceGroups/myrg/providers/Microsoft.HealthcareApis/workspaces/myworkspace/fhirservices/myfhirservice",
    "fhirMapping": {
      "content": {
        "templateType": "CollectionFhirTemplate",
        "template": [
          {
            "templateType": "CodeValueFhir",
            "template": {
              "codes": [
                {
                  "code": "8867-4",
                  "system": "http://loinc.org",
                  "display": "Heart rate"
                }
              ],
              "periodInterval": 60,
              "typeName": "heartrate",
              "value": {
                "defaultPeriod": 5000,
                "unit": "count/min",
                "valueName": "hr",
                "valueType": "SampledData"
              }
            }
          }
        ]
      }
    }
  },
  "systemData": {
    "createdBy": "string",
    "createdAt": "2021-01-28T19:26:24.072Z",
    "lastModifiedBy": "string",
    "lastModifiedAt": "2021-01-28T19:26:24.072Z"
  }
}

Definitionen

Name Beschreibung
createdByType

Der Identitätstyp, der die Ressource erstellt hat.

ErrorDetails

Fehlerdetails.

ErrorDetailsInternal

Fehlerdetails.

IotFhirDestination

IoT Connector FHIR-Zieldefinition.

IotIdentityResolutionType

Der Typ der IoT-Identitätsauflösung, die mit dem Ziel verwendet werden soll.

IotMappingProperties

Der Zuordnungsinhalt.

systemData

Metadaten zur Erstellung und letzten Änderung der Ressource.

createdByType

Der Identitätstyp, der die Ressource erstellt hat.

Wert Beschreibung
User
Application
ManagedIdentity
Key

ErrorDetails

Fehlerdetails.

Name Typ Beschreibung
error

ErrorDetailsInternal

Fehlerdetails

ErrorDetailsInternal

Fehlerdetails.

Name Typ Beschreibung
code

string

Der Fehlercode.

message

string

Die Fehlermeldung.

target

string

Das Ziel des bestimmten Fehlers.

IotFhirDestination

IoT Connector FHIR-Zieldefinition.

Name Typ Beschreibung
etag

string

Ein Etag, das der Ressource zugeordnet ist, wird bei der Bearbeitung für optimistische Parallelität verwendet.

id

string

Der Ressourcenbezeichner.

location

string

Der Ressourcenspeicherort.

name

string

pattern: ^[a-z0-9][a-z0-9-]{1,21}[a-z0-9]$

Der Ressourcenname.

properties.fhirMapping

IotMappingProperties

FHIR-Zuordnungen

properties.fhirServiceResourceId

string

Vollqualifizierte Ressourcen-ID des FHIR-Diensts, mit dem eine Verbindung hergestellt werden soll.

properties.resourceIdentityResolutionType

IotIdentityResolutionType

Bestimmt, wie die Ressourcenidentität am Ziel aufgelöst wird.

systemData

systemData

Metadaten zur Erstellung und letzten Änderung der Ressource.

type

string

Der Ressourcentyp.

IotIdentityResolutionType

Der Typ der IoT-Identitätsauflösung, die mit dem Ziel verwendet werden soll.

Wert Beschreibung
Create
Lookup

IotMappingProperties

Der Zuordnungsinhalt.

Name Typ Beschreibung
content

object

Die Zuordnung.

systemData

Metadaten zur Erstellung und letzten Änderung der Ressource.

Name Typ Beschreibung
createdAt

string (date-time)

Der Zeitstempel der Ressourcenerstellung (UTC).

createdBy

string

Die Identität, die die Ressource erstellt hat.

createdByType

createdByType

Der Identitätstyp, der die Ressource erstellt hat.

lastModifiedAt

string (date-time)

Der Zeitstempel der letzten Änderung der Ressource (UTC)

lastModifiedBy

string

Die Identität, die die Ressource zuletzt geändert hat.

lastModifiedByType

createdByType

Der Identitätstyp, der die Ressource zuletzt geändert hat.